#include <stdio.h>
#include <stdlib.h>
int main(){
    float v, i = 0, n, zamena = 0;
    do {
        v = 0;
        printf("Unesite vrednost novcanice: ");
        scanf("%f", &v);
    } while(v <= 1 II v >= pow(10,18));
    zamena = v;
    for (n=1; zamena>=10; n++){
        zamena = zamena/10; 
    }
    
    do{
        if (v >= 5*n){
            v = v - 5*n;
            i++;
        } 
        for (m = 0; v>= 2*n; m++){
            v = v - 2*n;
            i++;
        }
        for (k = 0; v>= 1*n; k++){
            v = v - 1*n;
            i++;
        }
        n = n-1;
    }
    printf("Broj novcanica je %f.",i);
}